<?php

namespace App\Http\Controllers\SIS;

class PusherController extends Pusher
{

    public function sendPush()
    {
        $message = 'Envío de datos via pusher';
        $this->setChannel('my-channel-monitor');
        $this->setEvent('my-event-monitor');
        $this->setData(array('message' => $message));
        $data = $this->SendData();
        return array(
            'pusher' => $data,
            'message' => $message,
        );
    }

    public function PusherUpdateViewMonitor() {
        $this->setChannel('my-channel-monitor');
        $this->setEvent('my-event-monitor');
        $this->setData(array(
            'status' => true,
            'message' => 'Actualizar la vista de monitor.',
            'data' => array()
        ));
        $this->SendData();
    }

}

?>



